# AppStoreButton for Fender React UI Kit

### Description

Reusable buttons for App Store Launches

### Installation and Usage

```
yarn add @fenderdigital/react-app-store-button --save
```

```js
import AppStoreButton from '@fenderdigital/react-app-store-button';
```

### Props

- `variant` - determine google play store or apple app store
- `href` - app link
- `className` - for any custom classes
- `imgOverride` - to pass in images other than those in the constants library
- `id` - identify unique element for testing
- `dataId` - identify elements for testing

| propName    | propType        | defaultValue | isRequired |
| ----------- | --------------- | ------------ | ---------- |
| variant     | string          |              | yes        |
| href        | string          |              | yes        |
| className   | string          | ''           | no         |
| imgOverride | arrayOf(string) |              | no         |
| id          | string          |              | no         |
| dataId      | string          |              | no         |

### Development

Check the [Monorepo README](https://github.com/fenderdigital/react-ui-kit) for development documentation.
