"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_image_1 = __importDefault(require("@fenderdigital/react-image"));
var constants_1 = require("./constants");
var clickFactory = function (preventDefault, stopPropagation) {
    if (preventDefault === void 0) { preventDefault = false; }
    if (stopPropagation === void 0) { stopPropagation = false; }
    return function (event) {
        if (preventDefault) {
            event.preventDefault();
        }
        if (stopPropagation) {
            event.stopPropagation();
        }
    };
};
var AppStoreButton = function (_a) {
    var variant = _a.variant, _b = _a.className, className = _b === void 0 ? '' : _b, preventDefault = _a.preventDefault, stopPropagation = _a.stopPropagation, link = _a.link, imgOverride = _a.imgOverride, id = _a.id, dataId = _a.dataId;
    return (react_1.default.createElement("a", { id: id, "data-id": dataId, href: link, target: "_blank", rel: "noopener noreferrer", className: "app-store-link outline-0 dib " + className, style: { width: constants_1.AppStoreButtonWidths[variant] }, onClick: clickFactory(preventDefault, stopPropagation) },
        react_1.default.createElement(react_image_1.default, { bgColor: "transparent", ratio: 40 / constants_1.AppStoreButtonWidths[variant], images: imgOverride || constants_1.AppStoreButtonImageLinks[variant] })));
};
exports.default = AppStoreButton;
