import React from 'react';
import ReactDOM from 'react-dom';
import { shallow } from 'enzyme';
import AppStoreButton from '../AppStoreButton';

describe('<AppStoreButton />', () => {
  it('exists', () => {
    expect(AppStoreButton).toBeDefined();
  });
  it('renders without crashing', () => {
    const div = document.createElement('div');
    ReactDOM.render(
      <AppStoreButton variant="google" link="https://google.com" />,
      div,
    );
    ReactDOM.unmountComponentAtNode(div);
  });
  it('renders google correctly', () => {
    const component = shallow(<AppStoreButton link="https://google.com" variant="google" />);
    expect(component).toMatchSnapshot();
  });
  it('renders apple correctly', () => {
    const component = shallow(<AppStoreButton variant="apple" link="apple.com" />)
    expect(component).toMatchSnapshot();
  });
});
